Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.model.api.scripts
Class ArgumentInfo

    java.lang.Object
      org.eclipse.birt.report.model.api.scripts.ArgumentInfo

All Implemented Interfaces:
  IArgumentInfo

    public class ArgumentInfo

extends java.lang.Object
implements IArgumentInfo

Represents the definition of argument. The argument definition includes the data type, internal name, and display name.

Field Summary

Fields inherited from interface org.eclipse.birt.report.model.api.metadata.IArgumentInfo
`OPTIONAL_ARGUMENT_NAME`

Constructor Summary
`protected` | `ArgumentInfo(java.lang.Class argumentType)` Constructor.

Method Summary
`protected java.lang.Class` | `getArgumentClass()` Returns the arguement type in class.
`IClassInfo` | `getClassType()` Returns the class type of this argument.
`java.lang.String` | `getDisplayName()` Returns the display name for the property if the resource key of display name is defined.
`java.lang.String` | `getDisplayNameKey()` Returns the resource key for the display name.
`java.lang.String` | `getName()` Returns the internal name for the argument.
`java.lang.String` | `getType()` Returns the script type of this argument.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ArgumentInfo

    protected ArgumentInfo(java.lang.Class argumentType)

  Constructor.

  Parameters:
    `argumentType` - the argument type.

Method Detail

### getArgumentClass

    protected java.lang.Class getArgumentClass()

  Returns the arguement type in class.

  Returns:
    the arguement type in class

### getName

    public java.lang.String getName()

  Description copied from interface: `IArgumentInfo`
  Returns the internal name for the argument.

  Specified by:
    `getName` in interface `IArgumentInfo`
  Returns:
    the internal (non-localized) name for the argument

### getDisplayName

    public java.lang.String getDisplayName()

  Returns the display name for the property if the resource key of display name is defined. Otherwise, return empty string.

  Specified by:
    `getDisplayName` in interface `IArgumentInfo`
  Returns:
    the user-visible, localized display name for the property

### getDisplayNameKey

    public java.lang.String getDisplayNameKey()

  Returns the resource key for the display name.

  Specified by:
    `getDisplayNameKey` in interface `IArgumentInfo`
  Returns:
    The display name message ID.

### getType

    public java.lang.String getType()

  Returns the script type of this argument.

  Specified by:
    `getType` in interface `IArgumentInfo`
  Returns:
    the script type to set

### getClassType

    public IClassInfo getClassType()

  Returns the class type of this argument.

  Specified by:
    `getClassType` in interface `IArgumentInfo`
  Returns:
    the class type to set

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.